For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
        • POSTCreate PVC voice
        • POSTUpdate PVC voice
        • POSTTrain PVC voice
        • POSTAdd samples to PVC voice
        • POSTUpdate PVC voice sample
        • DELDelete PVC voice sample
        • GETGet PVC voice sample audio
        • GETGet PVC voice sample waveform
        • GETGet PVC speaker separation status
        • POSTStart speaker separation
        • GETGet separated speaker audio
        • POSTRequest PVC manual verification
        • GETGet PVC verification captcha
        • POSTVerify PVC verification captcha
      • GETGet voice
      • DELDelete voice
      • GETList voices
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoicesPVC

Create PVC voice

POST
/v1/voices/pvc
POST
/v1/voices/pvc
$curl -X POST https://api.elevenlabs.io/v1/voices/pvc \
> -H "Content-Type: application/json" \
> -d '{
> "name": "John Smith",
> "language": "en"
>}'
1{
2 "voice_id": "b38kUX8pkfYO2kHyqfFy"
3}
Creates a new PVC voice with metadata but no samples
Was this page helpful?
Previous

Update PVC voice

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestringRequired<=100 characters
The name that identifies this voice. This will be displayed in the dropdown of the website.
languagestringRequired
Language used in the samples.
descriptionstring or nullOptional<=500 characters
Description to use for the created voice.
labelsmap from strings to strings or nullOptional
Labels for the voice. Keys can be language, accent, gender, or age.

Response

Successful Response
voice_idstring
The ID of the voice.

Errors

422
Unprocessable Entity Error